read_allocate(3)

NAME

read_allocate, read_deallocate - Allocate and deallocate the Read structure.

SYNOPSIS

#include <Read.h>
Read *read_allocate(
	int num_points,
	int num_bases);

void read_deallocate(
	Read *read);

DESCRIPTION

These functions create and destroy Read structures. The Read structure is a generalised in-memory data structure used for holding trace data information.

read_allocate() creates a Read structure large enough to hold num_points trace sample points and num_bases called bases. The allocated data is then initialised to appropriate defaults, which are mainly zeros and null pointers.

read_deallocate() destroys a previously created Read structure. It is not sufficient to simply use the free() call instead.

RETURN VALUES

On successful completion, the read_allocate() function returns a pointer to a Read structure. Otherwise this function returns a null pointer.

The read_deallocate() function returns no value.

SEE ALSO

read_reading(3), fread_reading(3), write_reading(3), fwrite_reading(3)